kernelconfig_penguin
CONFIG_ARMV8_DEPRECATED is not available for the default architecture x86.
Result is shown for architecture arm64
depends
CONFIG_COMPAT
CONFIG_SYSCTL

Emulate deprecated/obsolete ARMv8 instructions

modulename: armv8_deprecated.ko
configname: CONFIG_ARMV8_DEPRECATED

Linux Kernel Configuration
└─> Kernel Features
└─> Kernel support for 32-bit EL0
└─> Emulate deprecated/obsolete ARMv8 instructions

Legacy software support may require certain instructions
that have been deprecated or obsoleted in the architecture.

Enable this config to enable selective emulation of these
features.

If unsure, say Y


source code:


arch/arm64/kernel/armv8_deprecated.c